﻿@{
    ViewBag.Title = "DailyFeeReceipt";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();
                var format = $("#format").val();
                var rtype = $("#reptype").val();

                var a = document.createElement('a');
                a.href = '/TbFeeReceipt/DailyFeeReceipt?dt1=' + dt1 + '&dt2=' + dt2 + '&format=' + format+"&reptype="+rtype;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            });
        });
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Daily Fee Report</h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table width="100%">
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        Report Type
                    </td>
                    <td>
                        From Date
                    </td>
                    <td>
                        To Date
                    </td>
                    <td>
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td>
                        <select id="reptype">
                            <option value="DFR">DFR</option>
                            <option value="GST">GST</option>
                        </select>
                    </td>
                    <td>
                        <input type="text" id="txtfdate" value="@ViewBag.fdate"/>
                    </td>
                    <td>
                        <input type="text" id="txtdate" value="@ViewBag.tdate"/>
                    </td>
                    <td>
                        <select id="format">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td valign="top">
                        <input type="button" value="Show Report" class="btn btn-primary" id="btnShowReport" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
        </td>
    </tr>
</table>
